'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'II       BASIC++ DEMO ZUM BASIC-COMPUTER UNIT MICRO               II
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'--------------------------------------------------------------------
' Beispiel zum BASIC-COMPUTER    mit dem Programmer/Application-Board
'--------------------------------------------------------------------
' ANWENDUNG:         TEMPERATUR DS1631 AM IIC-BUS ABFRAGEN
'                    ANZEIGE AM IIC-BUS LCD
'--------------------------------------------------------------------
'Dieses Beispiel benutzt das MICROMODUL das die IIC-BUS Ports auf
'Port 5/6 hat. 
'
' ersetzen Sie:  import "....\LIB\MICRO_IIC_GENERICX.BAS"
'          mit:  import "....\LIB\MICRO_IIC_GENERIC.BAS" wenn Sie die
'
' Ports 2/5 benutzen wollen, ndern Sie dann auch die Portzuweisung
' von SDA und SCL in diesem Programm        
'--------------------------------------------------------------------
' Beispielprogramm:
' Das Programm schleift und zeigt die Temperatur am LCD an. Der Abfragezyklus
' wird von der Geschwindigkeit des IIC-BUS bestimmt und betrgt ca.3s

' Sie knnen die Demo benutzen und erweitern ohne die Details im Treiber
' nher zu kennen. 
'
'

'
'------------------------------------------------------------------------
OPTION CCMICRO

'--------------------------
'------ I/O PORTS ---------
'--------------------------
define SDA           port[5]
define SCL           port[6]
'--------------------------
'---- SYSTEM MEMORY -------
'--------------------------
define TEMPHI       as byte
define TEMPLO       as byte
define HUNDERTER as byte
define ZEHNER as byte
define EINER as byte
define DATABYTE as byte
define COUNTER as byte

const LCDADDR=01001110b' LCD ADRESSE
const DS1631=158    'Adresse TEMPSENSOR

import "....\LIB\MICRO_IIC_GENERICX.BAS"
import "....\LIB\MICRO_IIC_PCF8574_IO.BAS"
import "....\LIB\MICRO_IIC_LCD_DRIVE.BAS"
import "....\LIB\MICRO_DS1631_GENERIC.BAS"

'----------------------------------------------------
'     SPLIT DATABYTE VALUE INTO DIGITS AND SHOW
'----------------------------------------------------
FUNCTION SHOW_DATA()
HUNDERTER=DATABYTE/100
ZEHNER=(DATABYTE MOD 100)/10
EINER=DATABYTE-10*ZEHNER-100*HUNDERTER
if HUNDERTER=0 then goto NH
LCD_WRITE(LCDADDR,20h,HUNDERTER+30h)
#NH
if ZEHNER=0 then goto NZ
LCD_WRITE(LCDADDR,20h,ZEHNER+30h)
#NZ
LCD_WRITE(LCDADDR,20h,EINER+30h)
END FUNCTION



'---------- IICBUS INIT ------------------------
SDA=on
SCL=on
'----------------------------------------------
pause 2
LCD_INIT(LCDADDR)
'-----------------------------------------------------
DS1631RESET(DS1631)
DS1631SET_STATUS(DS1631,1)
'-------------------------------------------------------------
'-----            LOOP READING TEMPERATURE                 ---
'-------------------------------------------------------------
#LOOP
pause 5
'DS1631GET_STATUS(DS1631)
'--------- GETTING TEMP IN TEMLO/HI --------------------------
DS1631CONVERT(DS1631)
DS1631WAIT_READY(DS1631)
pause 10
DS1631GET_TEMP(DS1631)

TEMPLO=TEMPLO shr 7
TEMPLO=((TEMPHI SHL 1)and FEh)or TEMPLO 
if TEMPHI > 127 then TEMPLO=(not TEMPLO)+1
DATABYTE=TEMPLO/2
'databyte=temphi
LINE1(LCDADDR,1)
'--------- WRITING "TEMP:" ----------------------------------
LCD_WRITE(LCDADDR,20h,54h)
LCD_WRITE(LCDADDR,20h,45h)
LCD_WRITE(LCDADDR,20h,4Dh)
LCD_WRITE(LCDADDR,20h,50h)
LCD_WRITE(LCDADDR,20h,3Ah)
'--------- WRITING THE VALUE --------------------------------
SHOW_DATA()
LCD_WRITE(LCDADDR,20h,2Eh)
if (TEMPLO and 1) > 0 then 
DATABYTE=35h 
ELSE 
DATABYTE=30h
END IF 
LCD_WRITE(LCDADDR,20h,DATABYTE)
goto LOOP
attributes
            
ccproject          
ccproject          
       
      
     
    
   
  
 
end attributes
