'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'IIIIII   BASIC++    DEMO ZUR C-CONTROL MICRO              IIIIIIIIIIII
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'-----------------------------------------------------------------------
' THEMA: DIGITALPORTS BEEPER
'        FOR TO NEXT
'-----------------------------------------------------------------------
' Beispiel zur C-Control MICRO mit dem Programmer/Application-Board (P/A-BOARD)
' Die C-Control MICRO hat sechs Ports die, auch innerhalb eines Programms,
' verschiedene Funktionen erfllen.
'-----------------------------------------------------------------------
' BEEPER:
' Dies ist eine Demo nur Benutzung des BEEPERS, der anders als bei
' den bisherigen C-Controlvarianten an alle Ports (ausser Port 3)
' angeschlossen werden kann.
' Auch die Syntax hat sich ein wenig verndert:
'
'           BEEP Frequenz,Dauer,PORTBEZEICHNER
'
' Bedenken Sie bitte auch, dass die MICRO-Version der C-Control
' keine Wortvariablen untersttzt, Dauer und Frequenz also nur
' durch ein Byte definiert werden.
' Der kleinste Wert fr Frequenz ist 1 und entspricht der hchsten Frequenz,
' etwa 7000 Hz. Der tiefste Ton ist etwa 600 Hz
' Die Dauer wird in Einheiten von 20ms angegeben, Eine Dauer von 50 entspricht
' also einer Sekunde. 
'--------------------------------------------------------------------------
' FOR TO NEXT:
' Wie fast jeder Programmiersprache verfgt auch Basic++ ber eine
' Zhlerschleife. Eine Zhlerschleife weist einer Variable am Anfang einen Wert zu
' und addiert oder subtrahiert von der Variable bei jedem Schleifendurchgang einen
' festgelegten Wert bis die Abbruchbedingung erfllt ist.
' Solange innerhalb der Zhlerschleife (FOR...NEXT) die Zhlervariable nicht
' manipuliert wird kann es auch nicht zu einer Endlosschleife kommen. Der
' Nachteil der FOR Schleife ist jedoch, dass Sie ohne Manipulation der
' Zhlervariable nicht so flexibel ist wie die DO...LOOP Schleife.
 
' Syntax: FOR Variable = Startwert TO Endwert [STEP step] 
'                 ' Hier Programmcode 
'             NEXT [Variable] 
' Mit STEP nach der Abbruchbedingung knnen Sie festlegen inwiefern die
' Zhlervariable bei jedem Durchlauf inkrementiert werden soll. Wenn Sie STEP
' weglassen wird die Variable standardmig um 1 inkrementiert.
' Eine Zhlerschleife sollte immer dann benutzt werden, wenn die Anzahl der
' Schleifendurchlufe entweder als Konstante oder Variable bekannt ist.
' 
'--------------------------------------------------------------------------
' Stecken Sie bitte die Jumper JP2 und JP1 (auf Position 1-2)damit die Demo korrekt
' funktioniert.
'--------------------------------------------------------------------------


'--------------------------
'------ I/O PORTS ---------
'--------------------------

define LED       port[5]
define BEEPER    port[6]
define ADC1      ad[1]
define ADC2      ad[2]
define ADC5      ad[5]
define ADC6      ad[6]
'--------------------------
'---- SYSTEM MEMORY -------
'--------------------------
define FREQUENCY byte[1]
define DAUER     byte[2]

'--------------------------------------------------
'-----------  SHOWING FREQUENCY RANGE    ----------
'--------------------------------------------------

#START
'--------------------------------------------------
for FREQUENCY = 1 to 255
BEEP FREQUENCY,5,BEEPER
next
'--------------------------------------------------
for DAUER=1 to 20
BEEP 100,DAUER,BEEPER
pause DAUER
next
'--------------------------------------------------
goto START







attributes
   
   
 
end attributes
