'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'IIII BASIC++   DEMO ZUM BASIC-COMPUTER MICRO (by DIE HARD)    IIIIII
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII

'--------------------------------------------------------------------
' Beispiel zum BASIC-COMPUTER MICRO mit dem Programmer/Application-Board
'--------------------------------------------------------------------
' ANWENDUNG: MFPORTS mit Treiber zum Ansteuern von zwei Servos
'--------------------------------------------------------------------
'
' Der BASIC-COMPUTER MICRO hat sechs Ports die, auch innerhalb eines
' Programms,verschiedene Funktionen erfllen, die MULTIFUNCTION-PORTS
' (MFPORTS). Mit zustzlich ladbaren Treibern lassen sich weiter
' Funktionen realisieren, wie hier der Betrieb von zwei Servos
' an den Ports  5 u. 6
'
' Die Position der zwei Servos wird durch die Valiablen POS1 und POS2
' bestimmet. Diese Variablen drfen Werte von 1 bis 100 annehmen
' Ein Wert von POS=1 entspricht einem Sevo-Steuerimpuls von 1000 us,
' ein WERT von POS=100 entspricht einer Pulslnge von 2100 us
'
' Fr eigene Anwendungen knnen Sie auch den alternativen Treiber
' "SERVO_P4P5.s19" laden, wenn Sie lieber den AD6 Eingang
' zur freien Verfgung haben wollen und auf den FREQ  verzichten knnen.
' Die Servos werden dann an Port 4 u. 5 angesteuert
'-----------------------------------------------------------------------
' BEISPIELPROGRAMM:
' Dies ist eine Demo zum Betrieb von zwei Servos an dem  BASIC-Computer
' Servo 1 wird an Port 5 angeschlossen, Servo 2 an Port 6
' Das Programm demonstriert nur die Funktionsfhigkeit des Servotreibers,
' indem es das SERVO1/2 auf eine feste Position fhrt und dort verbleibt.
'
' Bei den Applikationen finden Sie etwas komplexere Beispiele zu konkreten
' Anwendungen
'
'------------------------------------------------------------------------
' LADEN DES TREIBERS:
' Der Teiber kann auf die PAGE0 geladen werden oder mit einem Ladeprogramm
' auch auf die Page1.
' Beachten Sie dass die Initialisierung unterschiedlich ist, je nach dem
' auf welcher Page der Treiber luft. Die PAGE1 Initialisierung ist in diesem
' Beispiel auskommentiert, da er hier auf PAGE0 geladen wird
' Der Treiber muss nur einmal geladen werden, er verbleibt im Speicher,
' auch wenn sie das BASIC-Programm erneut laden.
'
' LADEN AUF PAGE0:
' Der Treiber wird automatisch zusammen mit dem BASIC-Programm
' auf die PAGE 0 geladen. und ist sofort betriebsbereit.
'
' LADEN AUF PAGE1:
' Fr einen Betrieb auf der PAGE1 mssen sie die letzte Zeile
' im Programm auskommentieren und das Programm downloaden.
' Zustlich mssen Sie das Programm "DRIVERLOAD_ServoP4P5.bas" laden.
' Erst dann kann das Programm gestartet werden.
'-----------------------------------------------------------------------
' SIE DRFEN DIESEN TREIBER NUR LADEN, WENN DIE PAGE0/1 NICHT VON ANDEREN
' TREIBERN/SYSTEMERWEITERUNGEN, DIE SIE BENTIGEN, BELEGT IST !
' Der Treiber ist nicht fr die MICRO mit der OS-Version 2.00 geeignet
'---------------------------------------------------------------------

'--------------------------
'------ I/O PORTS ---------
'--------------------------
define POS1     byte[1]
define POS2     byte[2]
define SERVO1   port[5]
define SERVO2   port[6]
'--------------------------
'---- SYSTEM MEMORY -------
'--------------------------

'---------------------------------------------------
'------ DRIVER INIT POR PAGE AND PORTS -------------
'---------------------------------------------------
SYS FD34h 'PAGE0
'SYS FC34h 'PAGE1
SERVO1=off
SERVO2=off
'---------------------------------------------------

'--------- SETTING SERVO 1 POSITION ---------------
POS1=40
'--------- SETTING SERVO 2 POSITION ---------------
POS2=80

#lp
goto lp

syscode "SERVO_P5P6.s19"





attributes
    
  
 
end attributes
