'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'III    BASIC++ DEMO ZUM BASIC-COMPUTER UNIT MICRO           III
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'--------------------------------------------------------------------
' Beispiel zum BASIC-COMPUTER    mit dem Programmer/Application-Board
'--------------------------------------------------------------------
' ANWENDUNG:              GERTE-NUMMER AM DALLAS 1WIRE-BUS ABFRAGEN
'                         ANZEIGE AM IIC-BUS LCD
'Dieses Beispiel benutzt das MICROMODUL das die IIC-BUS Ports auf
'Port 5/6 hat. 

' ersetzen Sie:  import "....\LIB\MICRO_IIC_GENERICX.BAS"
'          mit:  import "....\LIB\MICRO_IIC_GENERIC.BAS" wenn Sie die
'
' Ports 2/5 benutzen wollen, ndern Sie dann auch die Portzuweisung
' von SDA und SCL in diesem Programm        

'--------------------------------------------------------------------
' Ein kleines Tool um die Gerteadresse eines Teilnehmers am DALLAS
' 1 WIRE BUS abrufragen. Es ist erforderlich dass nur ein einziges
' Gert an diesem Bus angeschlossen ist.
' Das Programm zeigt die 8-Byte Gerteadresse mit der Byte #
' am LCD. Das erste Byte ist das niederwertigste Byte
'
' Also z.B.    <LSB>16-103-103-158-0-8-0-127<MSB>
'
' 16                 FAMILY CODE, in diesem Fall ein DS1820
' 103-103-158-0-8-0  DEVICE ADDRESS
' 127                CRC
'
' Sie bentigen diese Adresse fr jeden Teilnehmer am Bus
'----------------------------------------------------------------------
' Der 1WIRE-BUS <-> IIC-BUS CONVERTER IST IN DIESM FALL AUF ADRESSE 54,
' ALLE ADRESS-JUMPER SIND ABGEZOGEN.
'-----------------------------------------------------------------------

'--------------------------
'------ I/O PORTS ---------
'--------------------------
define LIGHT         port[16]
define SDA           port[5]
define SCL           port[6]
'--------------------------
'---- SYSTEM MEMORY -------
'--------------------------
define HUNDERTER as byte
define ZEHNER as byte
define EINER as byte
define DATABYTE as byte
define COUNTER as byte
const ADDR=01001110b' LCD ADRESSE
import "....\LIB\MICRO_IIC_GENERICX.BAS"
import "....\LIB\MICRO_DS2482_GENERIC.BAS"
import "....\LIB\MICRO_IIC_PCF8574_IO.BAS"
import "....\LIB\MICRO_IIC_LCD_DRIVE.BAS"

'----------------------------------------------------
'     SPLIT DATABYTE VALUE INTO DIGITS AND SHOW
'----------------------------------------------------
FUNCTION SHOW_DATA()
HUNDERTER=DATABYTE/100
ZEHNER=(DATABYTE MOD 100)/10
EINER=DATABYTE-10*ZEHNER-100*HUNDERTER
LCD_WRITE(ADDR,20h,HUNDERTER+30h)
LCD_WRITE(ADDR,20h,ZEHNER+30h)
LCD_WRITE(ADDR,20h,EINER+30h)
END FUNCTION




'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'IIII           SHOW DEVICE ADDRESS               II
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII 
#INIT
'---------- IICBUS INIT ------------------------
SDA=on
SCL=on
'----------------------------------------------
pause 2
LCD_INIT(ADDR)
'-------------------------------------------------------------
DS2482RESET()
DS2482WIRERESET()
'-----------------WIRE CMD READ ROM --------------------------
DS2482WIRE_WRITEBYTE(33h)
DS2482WIRE_WAITIDLE()
'----------------- READ BYTE FROM 1 WIRE BUS -------------------
for counter=1 to 8
DS2482WIRE_READBYTE()
LINE1(ADDR,1)
DATABYTE=counter
SHOW_DATA()
LCD_WRITE(ADDR,20h,3Ah)
DS2482GET_DATA()
SHOW_DATA()
LCD_WRITE(ADDR,20h,20h)
LCD_WRITE(ADDR,20h,20h)

'LCD.INIT switchonly
'LCD.POS 2,1
'LCD.PRINT "BYTE#" & COUNTER & " WERT:" & DATA & "        "
pause 150
next


end
attributes
      
    
     
   
 
end attributes
