'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'IIIII  BASIC++   DEMO ZUR C-CONTROL UNIT MICRO               IIIIIII
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'
' ANWENDUNG:   MICROMODUL  (19 83 81) ANSTEURUNG LCD AM APPLICATION BOARD
'              OS VERSION ANZEIGEN
'-----------------------------------------------------------------------
' Sie sehen hier die Anwendung der C-Control MICRO mit einer PCF8574
' Porterweiterung. Der PCF8574 befindet sich auf dem IIC-BUS LCD MODUL
' bzw. auf dem MICROMODUL und steuert in diesem Fall das LCD des
' Application Board an.
' Der IIC-BUS liegt am MICROMODUL an den Ports 5 und 6. 
' Deshalb wird hier, abweichend von anderen Beispielen zun IIC-BUS
' der BASIC-Treiber "MICRO_IIC_GENERICX.BAS" geladen.
' Dieses Beispiel spricht den PCF8574 auf dem MICROMODUL auf der
' Adresse 01001110 an, alle Adress-Jumper auf dem MICROMODUL mssen daher
' abgezogen sein
'---------------------------------------------------------------------
' Beschreibung
' Ein kleines TOOL um die OS Version der MICRO zu lesen. Die Version
' steht nach dem Einschalten in der Variablen Byte[24]
' Der Inhalt 01 steht z.B. fr OS V 2.01
' Die Ausgabe erfolgt auf das LCD am Application-Board
'
'-------------------------------------------------------------------
'Hier sehen Sie, welche PCF 8574 Ports dem LCD zugeordnet sind:
'Port 0  LCD DB4
'Port 1  LCD DB5
'Port 2  LCD DB6
'Port 3  LCD DB7
'Port 4  LCD R/W
'Port 5  LCD RS
'Port 6  LCD EN
'-------------------------------------------------------------------

'--------------------------
'------ I/O PORTS ---------
'--------------------------
define LED      port[4]
'--- IIC INTERFACE  -------
define SDA      port[5]
define SCL      port[6]
define DATABYTE as byte
'--------------------------
'------ SYSTEM MEMORY -----
'--------------------------
'--- PROGRAMM       -------
define COUNTER     as byte
define HUNDERTER   as byte
define ZEHNER      as byte
define EINER       as byte
define VERSION      byte[24]

const ADDR=01001110b' LCD ADRESSE


import "....\LIB\ASCII_TABLE.BAS"
import "....\LIB\MICRO_IIC_GENERICX.BAS"
import "....\LIB\MICRO_IIC_PCF8574_IO.BAS"
import "....\LIB\MICRO_IIC_LCD_DRIVE.BAS"

'----------------------------------------------------
'          SPLIT VALUE INTO DIGITS
'----------------------------------------------------
FUNCTION SPLIT_DIGITS()
HUNDERTER=VERSION/100
ZEHNER=(VERSION-(HUNDERTER*100))/10
EINER=VERSION-HUNDERTER*100-ZEHNER*10 
END FUNCTION

'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'II   PCF 8574 PORTERWEITERUNG FR LCD        II
'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII
'---------- IICBUS INIT ------------------------
SDA=on
SCL=on
'----------------------------------------------
pause 2
LCD_INIT(ADDR)
SPLIT_DIGITS()

'----- WRITE CHARACTERS LINE 1 ---------------
LINE1(ADDR,4)
LCD_WRITE(ADDR,20h,V)
LCD_WRITE(ADDR,20h,E)
LCD_WRITE(ADDR,20h,R)
LCD_WRITE(ADDR,20h,S)
LCD_WRITE(ADDR,20h,BLANK)
LCD_WRITE(ADDR,20h,32h)
LCD_WRITE(ADDR,20h,DOT)
LCD_WRITE(ADDR,20h,ZEHNER+30h)
LCD_WRITE(ADDR,20h,EINER+30h)

#LOOP
if VERSION =0 then goto LOOP
for COUNTER= 1 to VERSION
LED=on
pause 5
LED=off
pause 20
next
pause 50
goto LOOP

'IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII








attributes
ccproject                 
ccproject                
            
          
          
         
       
      
     
    
    
     
    
end attributes
